Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.Messaging
Class RequestEndTimePolicyHolder

    java.lang.Object
      |
      +--org.omg.Messaging.RequestEndTimePolicyHolder

All Implemented Interfaces:
  Streamable

public final class RequestEndTimePolicyHolder
extends java.lang.Object
implements Streamable

Holder class for : RequestEndTimePolicy

Author:
  OpenORB Compiler

Field Summary
`RequestEndTimePolicy` | `value` Internal RequestEndTimePolicy value

Constructor Summary
`RequestEndTimePolicyHolder()` Default constructor
`RequestEndTimePolicyHolder(RequestEndTimePolicy initial)` Constructor with value initialisation

Method Summary
`void` | `_read(InputStream istream)` Read RequestEndTimePolicy from a marshalled stream
`TypeCode` | `_type()` Return the RequestEndTimePolicy TypeCode
`void` | `_write(OutputStream ostream)` Write RequestEndTimePolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public RequestEndTimePolicy value

  Internal RequestEndTimePolicy value

Constructor Detail

### RequestEndTimePolicyHolder

    public RequestEndTimePolicyHolder()

  Default constructor

### RequestEndTimePolicyHolder

    public RequestEndTimePolicyHolder(RequestEndTimePolicy initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read RequestEndTimePolicy from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write RequestEndTimePolicy into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the RequestEndTimePolicy TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD